/*
 * ctimer.h
 * Julian Smart
 */
 
#ifndef CTIMERH
#define CTIMERH

class CTimer: public CObject
{
 public:
  BOOL oneShot ;
  int  milli ;
  int  lastMilli ;
  long id;
 public:
  CTimer(void);
  ~CTimer(void);
  virtual BOOL Start(int milliseconds = -1,BOOL one_shot = FALSE); // Start timer
  virtual void Stop(void);                   // Stop timer
  virtual void Notify(void);                 // Override this member
  virtual int Interval(void) ; // Returns the current interval time (0 if stop)
};

#endif
